import random 
import csv

animals_filepath = 'animals.txt'
adjectives_filepath = 'adjectives.txt'

def create_list_from_csv(filepath):
    with open(filepath) as csv_file:
        csv_reader = csv.reader(csv_file)
        item_list = []
        for row in csv_reader:
            if len(row) == 1:
                item_list.append(row[0])
            else:
                for item in row:
                    item_list.append(item)
    return item_list

def pick_alliterative_adj(animal, adjective_list):
    sounds = ["ch", "ph", "sh", "th"]
    if animal[0:2] in sounds:
        alliteration_key = animal[0:2]
    else:
        alliteration_key = animal[0]

    suitable_adjectives = []
    for adjective in adjective_list:
        if len(alliteration_key) > 1:
            if adjective[0:2] == alliteration_key:
                suitable_adjectives.append(adjective)
        else:
            if adjective[0] == alliteration_key:
                suitable_adjectives.append(adjective)
    if not suitable_adjectives:
        raise Exception(f'no adjectives starting with alliteration key')
    random_adjective = random.choice(suitable_adjectives)
    return random_adjective

def create_alliteration():
    animals = create_list_from_csv(animals_filepath)
    adjectives = create_list_from_csv(adjectives_filepath)
    random_animal = random.choice(animals)
    alliterative_adjective = pick_alliterative_adj(random_animal, adjectives)
    result = f'{alliterative_adjective} {random_animal}'
    return result

if __name__ == 'main':
    create_alliteration()